#### D.15.3.15 ChernRootsDual

Procedure from library `chern.lib` (see chern_lib).

Usage:
  ChernRootsDual(l); l a list of polynomials

Return:
  list of polynomials

Purpose:
  computes the Chern roots of the dual vector bundle
  of a vector bundle with Chern roots from l

Note:

Example:

    LIB "chern.lib";
    ring r = 0, (a(1..3)), dp;
    // assume a(1), a(2), a(3) are the Chern roots of a vector bundle
    list l=a(1..3);
    // the Chern roots of the dual vector bundle
    print( ChernRootsDual(l) );
    ==> [1]:
    ==>    -a(1)
    ==> [2]:
    ==>    -a(2)
    ==> [3]:
    ==>    -a(3)

User manual for Singular version 4-0-3, 2016, generated by texi2html.